### Hierarchy

- ReinforcedLearning

### Implemented by

- ReinforcedLearningBase
- ThompsonSampling
- UpperConfidenceBound

## Index

### Properties

- bounds
- getBound
- iteration
- last_selected
- learn
- predict
- total_reward
- train

## Properties

### bounds

bounds: number

- Defined in ReinforcedLearning.ts:11

### getBound

getBound: BoundFunction

- Defined in ReinforcedLearning.ts:12

### iteration

iteration: number

- Defined in ReinforcedLearning.ts:15

### last_selected

last_selected: Vector

- Defined in ReinforcedLearning.ts:13

### learn

learn: (...args: any[]) => any

- Defined in ReinforcedLearning.ts:16

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### predict

predict: (...args: any[]) => any

- Defined in ReinforcedLearning.ts:18

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### total_reward

total_reward: number

- Defined in ReinforcedLearning.ts:14

### train

train: (...args: any[]) => any

- Defined in ReinforcedLearning.ts:17

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any